ASGComprehension
Keywords: uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehension class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.iql
Class ASGComprehension

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.iql.ASG
          uk.ac.bbk.dcs.automed.qproc.iql.ASGComprehension

All Implemented Interfaces:
  java.io.Serializable, PersistentObject

Direct Known Subclasses:
  ASGComprehensionMiniCon

    public class ASGComprehension

extends ASG

See Also:
  Serialized Form

Field Summary
`protected java.util.LinkedList` | `generators`
`protected Cell` | `head`
`protected java.util.LinkedList` | `predicates`
`protected java.util.LinkedList` | `qualifiers`
`protected java.util.LinkedList` | `schemes`

Fields inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`logger, root`

Method Summary
`java.util.Set` | `getBodyVars(java.util.List gens)`
`java.util.LinkedList` | `getGenerators()`
`Cell` | `getHead()`
`java.util.List` | `getHeadVars()`
`static java.lang.Object` | `getInstance(Cell c)`
`static java.lang.Object` | `getInstance(java.io.File f)`
`static java.lang.Object` | `getInstance(java.lang.String s)`
`java.util.LinkedList` | `getPredicates()`
`java.util.LinkedList` | `getQualifiers()`
`java.util.LinkedList` | `getSchemes()`
`protected void` | `getSchemes(Cell c, java.util.LinkedList schemes)`
`java.util.HashMap` | `getVarMap(boolean head)`
`static void` | `main(java.lang.String[] args)`

Methods inherited from class uk.ac.bbk.dcs.automed.qproc.iql.ASG
`annotate, copyOfASG, emptyBag, emptyCollection, emptyList, emptySet, equals, explore, explore, finalize, formattedString, formattedString, formattedString, fromASG, fromASG, fromASGCollection, fromASGCollection, fromASGList, fromASGList, fromASGTuple, fromASGTuple, getCollectionSize, getColType, getCreated, getDestroyed, getKey, getPersistentAttributes, isDAG, isDAG, listOfSchemes, listOfSchemes, print, print, print, print, println, println, root, toASGCollection, toASGList, toASGTuple, toString, toStringOBID, unify`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### head

    protected Cell head

### qualifiers

    protected java.util.LinkedList qualifiers

### generators

    protected java.util.LinkedList generators

### predicates

    protected java.util.LinkedList predicates

### schemes

    protected java.util.LinkedList schemes

Method Detail

### getInstance

    public static java.lang.Object getInstance(java.lang.String s)
                                        throws ParseException

  Throws:
    `ParseException`

### getInstance

    public static java.lang.Object getInstance(Cell c)

### getInstance

    public static java.lang.Object getInstance(java.io.File f)
                                        throws java.io.FileNotFoundException

  Throws:
    `java.io.FileNotFoundException`

### getHeadVars

    public java.util.List getHeadVars()

### getBodyVars

    public java.util.Set getBodyVars(java.util.List gens)

### getSchemes

    protected void getSchemes(Cell c,
                              java.util.LinkedList schemes)

### getSchemes

    public java.util.LinkedList getSchemes()

  Returns:
    LinkedList of SchemeInfo objects

### getGenerators

    public java.util.LinkedList getGenerators()

### getHead

    public Cell getHead()

### getPredicates

    public java.util.LinkedList getPredicates()

### getQualifiers

    public java.util.LinkedList getQualifiers()

### getVarMap

    public java.util.HashMap getVarMap(boolean head)
                                throws QProcException

  Parameters:
    `head` - true, if the mappings should only involve variables/tuples from the head of the comprehension, false if they are to involve variables/tuples from the patterns of generators
  Returns:
    a HashMap containing mappings between variables/tuples (either from the head or from the patterns of generators) and 'schemeItems' (e.g. scheme <> has two schemeItems, A and B)
  Throws:
    `QProcException`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD